org.apache.jmeter.protocol.http.sampler.hc

## Class LaxDeflateInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.http.client.entity.DeflateInputStream
    - - org.apache.jmeter.protocol.http.sampler.hc.LaxDeflateInputStream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class LaxDeflateInputStream
    extends org.apache.http.client.entity.DeflateInputStream

`DeflateInputStream` subclass that has a flag to accept "edgy streams" that signal end of stream with `EOFException` which seems to be rather frequent

Since:
  5.0
See Also:
  Bugzilla 61058

### Constructor Summary

Constructors
Constructor and Description
`LaxDeflateInputStream(InputStream wrapped, boolean relax)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`

### Methods inherited from class org.apache.http.client.entity.DeflateInputStream

`available, close, mark, markSupported, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LaxDeflateInputStream

    public LaxDeflateInputStream(InputStream wrapped,
                                 boolean relax)
                          throws IOException

Parameters:
  `wrapped` - the InputStream that should be wrapped
  `relax` - flag to enable relaxed mode
Throws:
  `IOException` - when super class throws an IOException

### Method Detail

#### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

Overrides:
  `read` in class `org.apache.http.client.entity.DeflateInputStream`
Throws:
  `IOException`

#### read

    public int read()
             throws IOException

Overrides:
  `read` in class `org.apache.http.client.entity.DeflateInputStream`
Throws:
  `IOException`

#### read

    public int read(byte[] b)
             throws IOException

Overrides:
  `read` in class `org.apache.http.client.entity.DeflateInputStream`
Throws:
  `IOException`